curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"country":"US","lat":40.7484,"long":-73.9857,"zoom_level":14,"keyword":"coffee shop"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m8ebnr0q2qlklc02fz¬ify=false&include_errors=true&type=discover_new&discover_by=location"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m8ebnr0q2qlklc02fz",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "location",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"country": "US",
"lat": 40.7484,
"long": -73.9857,
"zoom_level": 14,
"keyword": "coffee shop",
},
],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m8ebnr0q2qlklc02fz",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "location",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
country: "US",
lat: 40.7484,
long: -73.9857,
zoom_level: 14,
keyword: "coffee shop",
},
],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"place_id": "ChIJExample123",
"name": "Blue Bottle Coffee",
"address": "54 W 40th St., New York, NY 10018",
"rating": 4.4,
"reviews_count": 520,
"category": "Coffee shop",
"latitude": 40.7525,
"longitude": -73.984
}
]
Google
按地理位置发现 Google 地图地点
使用 Bright Data Scraper API 按地理位置发现 Google 地图地点。POST /datasets/v3/scrape 以 JSON 格式返回地点记录。
POST
/
datasets
/
v3
/
scrape
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"country":"US","lat":40.7484,"long":-73.9857,"zoom_level":14,"keyword":"coffee shop"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m8ebnr0q2qlklc02fz¬ify=false&include_errors=true&type=discover_new&discover_by=location"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m8ebnr0q2qlklc02fz",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "location",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"country": "US",
"lat": 40.7484,
"long": -73.9857,
"zoom_level": 14,
"keyword": "coffee shop",
},
],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m8ebnr0q2qlklc02fz",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "location",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
country: "US",
lat: 40.7484,
long: -73.9857,
zoom_level: 14,
keyword: "coffee shop",
},
],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"place_id": "ChIJExample123",
"name": "Blue Bottle Coffee",
"address": "54 W 40th St., New York, NY 10018",
"rating": 4.4,
"reviews_count": 520,
"category": "Coffee shop",
"latitude": 40.7525,
"longitude": -73.984
}
]
查询参数
string
默认值:"gd_m8ebnr0q2qlklc02fz"
必填
用于此请求的数据集 ID。
必须设置为
gd_m8ebnr0q2qlklc02fz 以发现按位置的 Google 地图地点数据。string
默认值:"discover_new"
必填
必须设置为
discover_new。string
默认值:"location"
必填
必须设置为
location。boolean
默认值:false
请求完成时是否发送通知。
boolean
默认值:true
是否在响应中包含错误。
请求体
object[]
必填
输入对象的数组。
显示 properties
显示 properties
示例
{
"input": [
{"country": "US", "lat": 40.7484, "long": -73.9857, "zoom_level": 14, "keyword": "coffee shop"}
]
}
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"country":"US","lat":40.7484,"long":-73.9857,"zoom_level":14,"keyword":"coffee shop"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m8ebnr0q2qlklc02fz¬ify=false&include_errors=true&type=discover_new&discover_by=location"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m8ebnr0q2qlklc02fz",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "location",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"country": "US",
"lat": 40.7484,
"long": -73.9857,
"zoom_level": 14,
"keyword": "coffee shop",
},
],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m8ebnr0q2qlklc02fz",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "location",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
country: "US",
lat: 40.7484,
long: -73.9857,
zoom_level: 14,
keyword: "coffee shop",
},
],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"place_id": "ChIJExample123",
"name": "Blue Bottle Coffee",
"address": "54 W 40th St., New York, NY 10018",
"rating": 4.4,
"reviews_count": 520,
"category": "Coffee shop",
"latitude": 40.7525,
"longitude": -73.984
}
]
此页面对您有帮助吗?